# Во имя Бога Милостивого, Милосердного!!!
# language: ru
Функциональность: Преобразование в C++

  Сценарий: Пустой пакет
    * Исходник:
```
package test
```
    * Результат:
```
void loop() {}
void setup() {}
```

  Сценарий: Пустая структура - класс
    * Исходник:
```
package test

type device struct {}
```
    * Результат:
```
class device {
public:
};
```

  Сценарий: Структура с полем
    * Исходник:
```
package test

type device struct {
  a int
}
```
    * Результат:
```
class device {
public:
  int a;
};
```

  Сценарий: Структура с полями одного типа
    * Исходник:
```
package test

type device struct {
  a,b int
}
```
    * Результат:
```
class device {
public:
  int a,b;
};
```

  Сценарий: Структура с неск полями, строки - std::string
    * Исходник:
```
package test

type device struct {
  a,b int
  c,d,e string
}
```
    * Результат:
```
class device {
public:
  int a,b;
  std::string c,d,e;
};
```
@f
  Сценарий: Структура с методом
    * Исходник:
```
package test

type device struct {
  a int
}

func (d *device) doSomething() {
}
```
    * Результат:
```
class device {
public:
  int a;
  void doSomething();
};
void device::doSomething() {
}
```
